@import url("reset.css");
@import url("fonts.css");
@import url("components/header.css");
@import url("components/footer.css");

:root {
  --font-family: "Hauora", sans-serif;
  --third-family: "Wadik", sans-serif;
  --accent-color: #0000fe;
  --blue-color: #0000ca;
  --dark-blue-color: #000c74;
  --light-grey-color: #dedede;
  --gray-color: #797979;
  --black-color: #171717;
  --white-color: #fff;
}

body {
  display: flex;
  flex-direction: column;
  background-color: var(--white-color);
  color: var(--black-color);
  position: relative;
}

.main-dark {
  background: var(--black-color);
}
h1 {
  font-family: var(--third-family);
  font-weight: 600;
  font-size: clamp(37px, 6.25vw, 64px);
}

h2 {
  font-family: var(--third-family);
  font-weight: 700;
  font-size: clamp(30px, 6.25vw, 48px);
}

h3 {
  font-family: var(--third-family);
  font-weight: 700;
  font-size: clamp(30px, 6.25vw, 64px);
}

p {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 16px;
  line-height: 1.36;
}

mark {
  background-color: transparent;
  color: #ff0000;
}

.link,
.link-inside,
.link-underline {
  color: var(--accent-color);
}

.link-inside {
  font-weight: 800;
}

.link-hover,
.link-underline {
  transition: all 0.3s ease-in-out;
}

.link-underline:hover {
  text-decoration: underline;
}

.link-hover:hover {
  color: var(--blue-color);
}

.link-hover.active {
  color: var(--dark-blue-color);
}

/* Анимация закрашивания текста, с отслеживанием его появления */
.animated-text {
}

.highlight-span {
  display: inline;
  background: linear-gradient(to right, #0000fe 0%, #0000fe 100%) no-repeat left
    bottom;
  background-size: 0% 100%;
  transition: background-size 1s ease-out;
}

.highlight-span.visible {
  color: var(--white-color);
  background-size: 100% 100%;
}

main {
  flex: 1;
  overflow-x: hidden;
}

.container {
  max-width: 1440px;
  width: 100%;
  padding: 0 clamp(16px, 2.7vw, 40px);
  margin: 0 auto;
}

.lock {
  overflow: hidden;
}

.mobile-menu {
  display: none;
}

@media (max-width: 768px) {
  .mobile-menu {
    display: block;
    position: fixed;
    top: 0;
    right: -100%;
    width: 375px;
    max-height: 812px;
    height: 100dvh;
    background: var(--white-color);
    transition: right 0.3s;
    z-index: 100;
  }

  .mobile-menu__wrapper {
    position: relative;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 15px 15px 50px 15px;
  }

  .mobile-menu-list {
    display: flex;
    flex-direction: column;
    gap: 18px;
    margin-top: 80px;
    font-family: "Hauora", sans-serif;
    font-weight: 400;
    font-size: 24px;
    color: var(--black-color);
  }

  .mobile-menu-list li a {
    transition: all 0.3s ease-in-out;
  }

  .mobile-menu-list li a.active {
    color: var(--blue-color);
  }

  .mobile-menu-list li a:hover {
    color: var(--accent-color);
  }

  .mobile-menu.active {
    right: 0;
  }

  .close-button {
    position: absolute;
    top: 32px;
    right: 17px;
    width: 24px;
    height: 24px;
    cursor: pointer;
  }

  .mobile-menu__items {
    display: flex;
    align-items: flex-end;
    gap: 50px;
    margin-top: auto;
  }

  .mobile-menu__items ul {
    display: flex;
    flex-direction: column;
    gap: 5px;
  }

  .mobile-menu__social {
    display: flex;
    align-items: center;
    gap: 15px;
    margin-top: 20px;
  }
}

.button {
  width: fit-content;
  font-family: var(--font-family);
  font-weight: 600;
  font-size: 16px;
  line-height: 1.38;
  color: var(--white-color);
  padding: 10px 30px;
  border-radius: 25px;
  background-color: var(--accent-color);
  transition: background-color 0.3s ease;
}

.button:hover {
  background-color: var(--blue-color);
}

.button:active {
  background-color: var(--dark-blue-color);
}

.button_type_white {
  background-color: var(--white-color);
  color: var(--black-color);
  transition: background-color 0.3s ease;
}

.button_type_white.active {
  background-color: var(--blue-color);
  color: var(--white-color);
}

.button_type_white:hover {
  background-color: var(--accent-color);
  color: var(--white-color);
}

.social-button-blue {
  fill: var(--accent-color);
  transition: fill 0.3s ease;
  cursor: pointer;
}

.social-button-blue:hover {
  fill: var(--blue-color);
}

.social-button-blue:active {
  fill: var(--dark-blue-color);
}

.social-button-black {
  fill: var(--black-color);
  transition: fill 0.3s ease;
  cursor: pointer;
}

.social-button-black:hover {
  fill: var(--accent-color);
}

.social-button-black:active {
  fill: var(--dark-blue-color);
}

.button-white {
  width: fit-content;
  font-family: "Hauora", sans-serif;
  font-weight: 600;
  font-size: 16px;
  line-height: 1.5;
  color: var(--accent-color);
  padding: 10px 30px;
  border-radius: 25px;
  background-color: var(--white-color);
  transition: background-color 0.3s ease-out;
  cursor: pointer;
  border: 1.5px solid var(--white-color);
}
.button-white:hover {
  color: var(--white-color);
  background-color: var(--accent-color);
}
.button-white:active {
  color: var(--white-color);
  background-color: var(--blue-color);
}
.color-white {
  color: var(--white-color);
}

.social-list {
  display: flex;
  align-items: center;
  gap: 15px;
}

.button-up {
  position: fixed;
  bottom: 255px;
  right: 40px;
  width: 40px;
  height: 40px;
  fill: var(--white-color);
  cursor: pointer;
  opacity: 0;
  visibility: hidden;
  transition:
    opacity 0.3s ease,
    visibility 0.3s ease;
  z-index: 9999;
}

.button-up.visible {
  opacity: 1;
  visibility: visible;
}

.button-up:hover {
  fill: var(--accent-color);
}

.button-up path {
  fill: var(--black-color);
}

.button-up:hover path {
  fill: var(--white-color);
}

.button-up circle {
  stroke: var(--black-color);
}

.button-up:hover circle {
  stroke: var(--accent-color);
}

/*===cookie_notice===*/
.cookie-notice {
  max-width: 1015px;
  width: 100%;
  padding: 20px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 20px;
  border-radius: 15px;
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 16px;
  line-height: normal;
  background: var(--white-color);
  position: fixed;
  right: 40px;
  bottom: 25px;
  z-index: 9999;
  box-shadow: 0 0 20px 0 rgba(110, 110, 110, 0.25);
  transition:
    opacity 0.3s ease,
    visibility 0.3s ease;
}

.cookie-notice.hidden {
  opacity: 0;
  visibility: hidden;
}

@media screen and (max-width: 1080px) {
  .cookie-notice {
    max-width: calc(100% - 40px);
    right: 20px;
    left: 20px;
  }
}

@media screen and (max-width: 660px) {
  .cookie-notice {
    max-width: calc(100% - 32px);
    right: 16px;
    left: 16px;
    bottom: 20px;
    flex-direction: column;
    align-items: flex-end;
  }
  .button-up {
    bottom: 100px;
    right: 20px;
  }
}

/* Стили для ошибок валидации */
.error-border {
  border-bottom: 1.5px solid #e74c3c;
  outline: none;
}

.error-message {
  position: absolute;
  color: #e74c3c;
  font-size: 12px;
  bottom: -20px;
  left: 0;
  animation: fadeIn 0.3s ease;
}
/* --- Стили для отображения файла --- */
.file-display-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  background: #e8f0ec;
  padding: 8px 12px;
  border-radius: 8px;
  font-size: 12px;
  color: #0f3b2c;
}

.file-info {
  flex: 1;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.remove-file-btn {
  background: none;
  border: none;
  cursor: pointer;
  font-size: 16px;
  padding: 0 5px;
  margin-left: 10px;
  transition: transform 0.2s;
}

.remove-file-btn:hover {
  transform: scale(1.1);
}

.button-clip {
  cursor: pointer;
  position: absolute;
  right: 15px;
  bottom: 12px;
  fill: var(--black-color);
  transition: all 0.2s ease;
}

.button-clip:hover path {
  fill: var(--accent-color);
}

/*===overlay===*/
.success-popup__overlay {
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  visibility: hidden;
  opacity: 0;
  transition:
    visibility 0.5s,
    opacity 0.5s ease-in-out;
  background: rgba(0, 0, 0, 0.5);
  box-shadow: 0 0 20px 0 rgba(110, 110, 110, 0.25);
  backdrop-filter: blur(4px);
  z-index: 101;
}

.success-popup__overlay.success-popup_opened {
  visibility: visible;
  opacity: 1;
}

.success-popup__content {
  position: relative;
  background: var(--white-color);
  padding: 20px;
  border-radius: 16px;
  max-width: 400px;
  width: 90%;
  text-align: center;
  box-shadow: 0 20px 35px rgba(0, 0, 0, 0.2);
  animation: popupFadeIn 0.3s ease;
}

.success-popup__title {
  font-family: "Hauora", sans-serif;
  font-weight: 700;
  font-size: 36px;
  margin-bottom: 20px;
  color: var(--accent-color);
}

.success-popup__text {
  font-size: 16px;
  line-height: 1.5;
  margin-bottom: 20px;
  text-align: start;
  color: var(--black-color);
}

.success-popup__close {
  border: none;
  transition: all 0.2s;
}
.submit-btn {
  margin-left: auto;
}

.submit-btn:disabled {
  opacity: 0.5;
  cursor: not-allowed;
  pointer-events: none;
}

.submit-btn:enabled {
  opacity: 1;
  cursor: pointer;
  pointer-events: auto;
}
